Skip to main content
POST
/
v1
/
competitor_prices
/
bulk
Bulk Upsert Competitor Prices
curl --request POST \
  --url https://clientapi.retailgrid.io/v1/competitor_prices/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "competitor_name": "<string>",
      "observed_at": "2023-11-07T05:31:56Z",
      "regular_price": 123,
      "effective_price": 123,
      "product_id": "<string>",
      "promo_price": 123,
      "currency": "<string>",
      "source_url": "<string>",
      "competitor_sku": "<string>",
      "barcode": "<string>",
      "status": "<string>",
      "stock": 123
    }
  ]
}
'
{
  "results": [
    {
      "index": 123,
      "ok": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retailgrid API keys are prefixed with rg_live_. Pass them as Authorization: Bearer <key>.

Body

application/json
items
CompetitorPriceBulkItem · object[]

Response

Successful Response

results
BulkItemResult · object[]